<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.eclipse.papyrus.designer</groupId>
		<artifactId>org.eclipse.papyrus.designer.releng</artifactId>
		<version>3.1.0-SNAPSHOT</version>
	</parent>
	<artifactId>org.eclipse.papyrus.designer.product</artifactId>
	<packaging>eclipse-repository</packaging>
	<properties>
		<product-id>org.eclipse.papyrus.designer.product</product-id>
	</properties>
	<build>
		<plugins>
			<plugin>
				<groupId>org.eclipse.tycho</groupId>
				<artifactId>tycho-p2-repository-plugin</artifactId>
				<configuration>
					<includeAllDependencies>true</includeAllDependencies>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.eclipse.tycho</groupId>
				<artifactId>tycho-p2-director-plugin</artifactId>
				<configuration>
					<profile>org.eclipse.papyrus.designer</profile>
					<formats>
						<linux>tar.gz</linux>
						<macosx>tar.gz</macosx>
					</formats>
					<products>
						<product>
							<id>${product-id}</id>
							<rootFolder>papyrus-designer</rootFolder>
						</product>
					</products>
				</configuration>
				<executions>
					<execution>
						<id>materialize-products</id>
						<goals>
							<goal>materialize-products</goal>
						</goals>
					</execution>
					<execution>
						<id>archive-products</id>
						<goals>
							<goal>archive-products</goal>
						</goals>
						<phase>pre-integration-test</phase>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-deploy-plugin</artifactId>
				<configuration>
					<skip>true</skip>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<profiles>
		<profile>
			<id>eclipse-sign</id>
			<activation>
				<property>
					<name>SIGN</name>
					<value>true</value>
				</property>
			</activation>
			<build>
				<plugins>
					<plugin>
						<groupId>org.eclipse.cbi.maven.plugins</groupId>
						<artifactId>eclipse-macsigner-plugin</artifactId>
						<configuration>
							<fileNames>papyrus-designer.app</fileNames>
							<entitlements>${project.basedir}/application.entitlement</entitlements>
						</configuration>
						<executions>
							<execution>
								<phase>package</phase>
								<goals>
									<goal>sign</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
					<plugin>
						<groupId>org.eclipse.cbi.maven.plugins</groupId>
						<artifactId>eclipse-winsigner-plugin</artifactId>
						<configuration>
							<fileNames>papyrus-designer.exe,eclipsec.exe</fileNames>
						</configuration>
						<executions>
							<execution>
								<phase>package</phase>
								<goals>
									<goal>sign</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>

	<name>org.eclipse.papyrus.designer.product</name>
	<description>This plugins defines the product used in the RCP Designer.</description>
</project>
